Rigel: config - Task #19071

Ul: Implement misc feature
17/05/2024 05:05 PM - Adarsh Shukla

Status: Closed Start date: 17/05/2024
Priority: Normal Due date:

Assignee: Adarsh Shukla % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

1. Add validation for the API response. If a required field is empty or not received from the API, the frontend should reject the
response and display an error message.

2. Implement basic error handling. For example, if the API returns a response indicating that data was not found, display this
message in a toast notification on the Ul.

History

#1 - 17/05/2024 05:06 PM - Adarsh Shukla

- Status changed from New to In Progress

#2 - 18/05/2024 10:57 AM - Adarsh Shukla
- % Done changed from 0 to 10

Added some common response interfaces and removed unused libraries and packages.

#3 - 18/05/2024 12:58 PM - Adarsh Shukla
- % Done changed from 10 to 30

Added API error handling code.

#4 - 22/05/2024 02:19 PM - Adarsh Shukla
- % Done changed from 30 to 50

#5 - 22/05/2024 05:38 PM - Adarsh Shukla
- % Done changed from 50 to 80

Wrote custom method to validate API response data with schema model, also implemented AJV MIT licence for the same.

#6 - 22/05/2024 05:49 PM - Adarsh Shukla
- % Done changed from 80 to 90

Added loader component.

#7 - 24/05/2024 12:47 PM - Adarsh Shukla
- % Done changed from 90 to 100

- Status changed from In Progress to Closed
